Package org.opensaml.soap.wsaddressing

# Interface RelatesTo

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSAddressingObject`, `XMLObject`, `XSURI`

All Known Implementing Classes:
  `RelatesToImpl`

public interface RelatesTo extends XSURI, AttributeExtensibleXMLObject, WSAddressingObject
Interface for element <wsa:RelatesTo>.

See Also:
  - "WS-Addressing 1.0 - Core"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`RELATIONSHIP_TYPE_ATTRIB_NAME`
The RelationshipType attribute name.
`static final String`
`RELATIONSHIP_TYPE_REPLY`
RelationshipType attribute - Reply URI.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRelationshipType()`
Returns the RelationshipType attribute URI value.
`void`
`setRelationshipType(String newRelationshipType)`
Sets the RelationshipType attribute URI value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RELATIONSHIP_TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String RELATIONSHIP_TYPE_ATTRIB_NAME
The RelationshipType attribute name.

See Also:
  - Constant Field Values

### RELATIONSHIP_TYPE_REPLY

@Nonnull @NotEmpty static final String RELATIONSHIP_TYPE_REPLY
RelationshipType attribute - Reply URI.

See Also:
  - Constant Field Values

## Method Details

### getRelationshipType

@Nullable String getRelationshipType()
Returns the RelationshipType attribute URI value.

Returns:
  the RelationshipType attribute value or `null`.

### setRelationshipType

void setRelationshipType(@Nullable String newRelationshipType)
Sets the RelationshipType attribute URI value.

Parameters:
  `newRelationshipType` - the RelationshipType attribute value.